﻿Imports System.Data.OleDb

Public Class Form1
    Private dt As DataSet
    Private hash As Hashtable
    Private Sub FormLoad() Handles Me.Load
        dt = New DataSet()
        Dim comm As String = "Select * from products"
        Dim da As OleDbDataAdapter = New OleDbDataAdapter(comm, GetConnectionString())
        da.Fill(dt, "Products")

        C1FlexGrid1.DataSource = dt
        C1FlexGrid1.DataMember = "Products"

        comm = "Select * from Suppliers"
        da = New OleDbDataAdapter(comm, GetConnectionString())
        da.Fill(dt, "Suppliers")

        hash = New Hashtable()
        For Each item In dt.Tables("Suppliers").Rows
            hash.Add(item("SupplierID"), item("CompanyName"))
        Next

        C1FlexGrid1.Cols("SupplierID").DataMap = hash
    End Sub
    Private Function GetConnectionString() As String
        Dim path = Environment.GetFolderPath(Environment.SpecialFolder.Personal) & "\ComponentOne Samples\Common\C1Nwind.mdb"
        Dim conn = "provider = microsoft.jet.oledb.4.0;data source = " & path
        Return conn
    End Function
End Class
